vBulletin Message

We had to upgrade the server to a newer more secure version which resulted in the VB software to not work correctly. So we need to update to the most recent version of VB5.x now to get everything to work right. Please bear with us while we get this taken of as we need to enlist some help as this is above our paygrades. Hopefully we will be back sooner rather than later. Thank you for your patience!